// import external assets
@import './mixin';
@import url('https://fonts.googleapis.com/css?family=Source+Sans+Pro:400,600,700&display=swap');
@import url('https://fonts.googleapis.com/css?family=Playfair+Display&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Lato:wght@400;700;900&display=swap');

@font-face {
  font-family: $font;
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  color: $regular-text;
  src: url("~@/assets/fonts/Inter-Regular.woff2") format("woff2"),
    url("~@/assets/fonts/Inter-Regular.woff") format("woff");
}

// text-style mixin: size, height, weight
p,h1,h2,h3,h4,h5,h6 {
   &.text {
    font-family: $font;
    font-weight: 700;
    display: block;
    padding: 16px 0;
    color: $regular-text;

    &__regular {
      color: $regular-text;
    }
    &__secondary {
      color: $secondary-text;
    }
    &__inactive {
      color: $inactive-text;
    }
    &.title {
      &-large {
        @include text-style(34px, 41px, 700);
      }
      &-1 {
        @include text-style(28px, 34px, 700);
      }
      &-2 {
        @include text-style(22px, 28px, 700);
      }
      &-3 {
        @include text-style(20px, 24px, 600);
      }
      &-headline {
        @include text-style(17px, 22px, 600);
      }
    }
    &.body {
        @include text-style(17px, 22px, 400);

      &__medium{
        @include text-style(17px, 22px, 500);

      }
    }
    &.callout {
      @include text-style(16px, 21px, 400);
    }
    &.subheadline {
      @include text-style(15px, 20px, 400);
      &__medium{
        @include text-style(15px, 20px, 500);
      }
    }
    &.footnote {
      @include text-style(13px, 18px, 400);
    }
    &.caption {
      @include text-style(11px, 13px, 400);
      &__semi-bold{
        @include text-style(17px, 22px, 600);
      }
    }
    &.navigation-label {
      @include text-style(10px, 12px, 400);
    }
  }
}
